<template>
  <div>
    <h1 class="mb-8">You’re eligible for treatment! <br/>Now sign up for SMS notifications. </h1>
    <div class="features space-y-3 mb-8">
      <div
        class="flex items-center p-3 bg-white rounded-lg"
        v-for="(item, idx) in features"
        :key="idx"
      >
        <div class="feature-img" :class="item.iconClass"/>
        <span>{{ item.text }}</span>
      </div>
    </div>
    <common-btn
      class="mb-3"
      text="Text me updates"
      @click="handleClick(true)"
    />
    <common-btn-outline
      class="mb-6"
      text="No thanks"
      @click="handleClick(false)"
    />
    <p class="text-xs">By clicking TEXT ME UPDATES, I agree to receive calls and texts from Shapiro MD, its corporate affiliates, and marketing partners to the phone number that I provided above and I understand that consent is not a condition of purchase.</p>
  </div>
</template>

<script>
import {answersMixin, offerMixin} from "@/utils/mixins";
import {constants} from "@/constants";

export default {
  mixins: [answersMixin, offerMixin],
  name: "SMSUpdates",
  beforeDestroy() {
    this.SET_OFFER_TEXT(null)
  },
  mounted() {
    this.SET_OFFER_TEXT(constants.MONEY_BACK_GUARANTEE)
  },
  data() {
    return {
      textUpdates: false,
      features: [
        {
          text: 'Updates from your doctor',
          iconClass: 'msg'
        },
        {
          text: 'Shipping notifications',
          iconClass: 'shipping'
        },
        {
          text: 'Prescription expiration alerts',
          iconClass: 'prescription'
        },
        {
          text: 'Latest offers and treatments from Rex MD',
          iconClass: 'offers'
        },
      ]
    }
  },
  methods: {
    handleClick(textUpdates) {
      this.setAnswer(this.answersKeys.SMS_UPDATES, textUpdates)
      this.textUpdates = textUpdates
      this.$emit('nextStage')
    }
  }
}
</script>

<style scoped>
.feature-img {
  @apply bg-no-repeat bg-contain bg-center mr-3;
  width: 60px;
  height: 45px;
}

.feature-img.msg {
  background-image: url("~@/assets/img/icons/updates.png");
}

.feature-img.shipping {
  background-image: url("~@/assets/img/icons/shipping.png");
}

.feature-img.prescription {
  background-image: url("~@/assets/img/icons/prescription.png");
}

.feature-img.offers {
  background-image: url("~@/assets/img/icons/offers.png");
}
</style>
